libstdc++: __gnu_parallel::_Plus< _Tp1, _Tp2, _Result > Struct Template Reference

libstdc++

__gnu_parallel::_Plus< _Tp1, _Tp2, _Result > Struct Template Reference

`#include <base.h>`

Inheritance diagram for __gnu_parallel::_Plus< _Tp1, _Tp2, _Result >:
[legend]

## Public Types
typedef _Arg1 | first_argument_type
typedef _Result | result_type
typedef _Arg2 | second_argument_type

## Public Member Functions
_Result | operator() (const _Tp1 &__x, const _Tp2 &__y) const

## Detailed Description

template<typename _Tp1, typename _Tp2, typename _Result = __typeof__(*static_cast<_Tp1*>(0) + *static_cast<_Tp2*>(0))>
struct __gnu_parallel::_Plus< _Tp1, _Tp2, _Result >

Similar to std::plus, but allows two different types.

Definition at line 274 of file base.h.

## Member Typedef Documentation

## ◆ first_argument_type

template<typename _Arg1, typename _Arg2, typename _Result>

typedef _Arg1 std::binary_function< _Arg1, _Arg2, _Result >::first_argument_type
| inherited

`first_argument_type` is the type of the first argument

Definition at line 137 of file stl_function.h.

## ◆ result_type

template<typename _Arg1, typename _Arg2, typename _Result>

typedef _Result std::binary_function< _Arg1, _Arg2, _Result >::result_type
| inherited

`result_type` is the return type

Definition at line 143 of file stl_function.h.

## ◆ second_argument_type

template<typename _Arg1, typename _Arg2, typename _Result>

typedef _Arg2 std::binary_function< _Arg1, _Arg2, _Result >::second_argument_type
| inherited

`second_argument_type` is the type of the second argument

Definition at line 140 of file stl_function.h.

## Member Function Documentation

## ◆ operator()()

template<typename _Tp1, typename _Tp2, typename _Result = __typeof__(*static_cast<_Tp1*>(0) + *static_cast<_Tp2*>(0))>

_Result __gnu_parallel::_Plus< _Tp1, _Tp2, _Result >::operator() | ( | const _Tp1 & | __x,
|  | const _Tp2 & | __y ) const
| inline

Definition at line 277 of file base.h.

The documentation for this struct was generated from the following file:

- base.h